package com.reyun.saas.mob.user.service;

import com.reyun.saas.common.restResult.PageParam;
import com.reyun.saas.common.restResult.RestResult;
import com.reyun.saas.mob.user.domain.App;

import java.util.List;
import java.util.Map;

public interface AppService {
    RestResult create(App app, Long loginUserId);

    RestResult list(PageParam pageParam, String query, String os, Long createUser, Long loginUserId);

    RestResult disable(Long appId, Boolean flag, Long loginUserId);

    RestResult delete(Long appId, Long loginUserId);

    RestResult update(App app, Long loginUserId);

    List<Map<String,Object>> findAppsByUser(Long loginUserId, String os);

    List<Map<String,Object>> findAppsByCid(Long loginUserId, String cid, String os);
}
